
Quantification tool - Feature #1447

Extracting dictionaries from QTB files

05/06/2015 05:45 PM - Luis Gustavo do Valle Bastos

Status: Closed Start date: 05/06/2015

Priority: Immediate Due date: 10/26/2015

Assignee: Luis Gustavo do Valle Bastos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Version 3.0 Spent time: 0.00 hour

Description

- Allowing user to access the dictionaries through the qtb file generate in another application, use them and also make changes to

them

- Allowing user to copy the dictionaries generate in another application and paste them to the main dictionary of its own application

It will minimize the issues of sending/receiving dictionary files among users for information exchange.

History

#1 - 05/13/2015 06:36 AM - Oleksii Kurasov

- Priority changed from High to Immediate

#2 - 05/14/2015 04:34 AM - Oleksii Kurasov

- Due date set to 05/15/2015

- Status changed from New to Resolved

#3 - 05/14/2015 04:34 AM - Oleksii Kurasov

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#4 - 05/29/2015 05:57 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- QuanTB is not refreshing after importation, so new treatment regimens imported can be seen only when exiting and opening QuanTB again.

- QuanTB is allowing import the same regimens more them one time.

- Change the dialog boxes currently displayed for each regimen by just one dialog box with the list of all regimens effectively imported and without

option for users to accept or not (information only).

#5 - 06/01/2015 10:01 AM - Oleksii Kurasov

- Due date changed from 05/15/2015 to 06/02/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#6 - 06/11/2015 07:41 PM - Luis Gustavo do Valle Bastos

- File Extract dic label.JPG added

- File Extract dic dialog box.JPG added

- Status changed from Resolved to Feedback
- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Change label at "forecasting" menu from "Extract treatment regimens . . ." to "Extract medicines and regimens . . .". See attached.

-  Change title of dialog box displayed after extraction from "Please, read following" to "Extract medicines and regimens". See attached.

- When extracting consecutively using same qtb file (saved in another application v.2.0) with medicine dictionary recently modified, system extracts

medicine created before and not existing in current dictionary anymore. It seems the previous medicine has been kept in memory somehow.

#7 - 06/12/2015 11:24 AM - Oleksii Kurasov

- Due date changed from 06/02/2015 to 06/12/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#8 - 10/22/2015 12:03 AM - Luis Gustavo do Valle Bastos

- File Dictionaries extraction dialog box.JPG added

- Status changed from Resolved to Feedback

- Assignee changed from Luis Gustavo do Valle Bastos to Oleksii Kurasov

- Still pending: delete the 3 dots currently appearing at the end of the title of the dialog box "Extract medicines and regimens" displayed after

extraction.

- Include the "type of medicine" when displaying the medicines added in the dialog box after extraction. See attached.

This feature is also related to Redmine issue #1598.

#9 - 10/25/2015 02:21 PM - Oleksii Kurasov

- Due date changed from 06/12/2015 to 10/26/2015

- Status changed from Feedback to Resolved

- Assignee changed from Oleksii Kurasov to Luis Gustavo do Valle Bastos

#10 - 10/29/2015 11:18 PM - Luis Gustavo do Valle Bastos

- Status changed from Resolved to Closed

Test and adequate.

Files

Extract dic label.JPG 32.4 KB 06/11/2015 Luis Gustavo do Valle Bastos

Extract dic dialog box.JPG 20.1 KB 06/11/2015 Luis Gustavo do Valle Bastos

Dictionaries extraction dialog box.JPG 26.1 KB 10/22/2015 Luis Gustavo do Valle Bastos
